com.sun.grid.jgdi.configuration

## Class ResourceUtilizationImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.ResourceUtilizationImpl

- All Implemented Interfaces:
    GEObject, ResourceUtilization, java.io.Serializable, java.lang.Cloneable

      public class ResourceUtilizationImpl
      extends GEObjectImpl
      implements ResourceUtilization

  Java representation of the cull object RUE_Type defined in sge_all_listsL.template

  Warning: The ResourceUtilizationImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceUtilizationImpl()` Create a new instance of ResourceUtilizationImpl.
    `ResourceUtilizationImpl(boolean initWithDefaultValues)` Create a new instanceof
    `ResourceUtilizationImpl(java.lang.String name)` Create a new instance of ResourceUtilizationImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addUtilized(ResourceDiagramEntry autilized)` Add a com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute.
    `void` | `addUtilizedNonexclusive(ResourceDiagramEntry autilizedNonexclusive)` Add a com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute.
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `ResourceDiagramEntry` | `getUtilized(int index)` Get a com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute at an index.
    `int` | `getUtilizedCount()` Get the number of com.sun.grid.jgdi.configuration.ResourceDiagramEntry attributes.
    `java.util.List<ResourceDiagramEntry>` | `getUtilizedList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ResourceDiagramEntry attributes.
    `ResourceDiagramEntry` | `getUtilizedNonexclusive(int index)` Get a com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute at an index.
    `int` | `getUtilizedNonexclusiveCount()` Get the number of com.sun.grid.jgdi.configuration.ResourceDiagramEntry attributes.
    `java.util.List<ResourceDiagramEntry>` | `getUtilizedNonexclusiveList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ResourceDiagramEntry attributes.
    `double` | `getUtilizedNow()` Get the value of the utilizedNow attribute.
    `double` | `getUtilizedNowNonexclusive()` Get the value of the utilizedNowNonexclusive attribute.
    `boolean` | `isSetName()` Determine if the name attribute is set
    `boolean` | `isSetUtilized()` Determine if the utilized attribute is set
    `boolean` | `isSetUtilizedNonexclusive()` Determine if the utilizedNonexclusive attribute is set
    `boolean` | `isSetUtilizedNow()` Determine if the utilizedNow attribute is set
    `boolean` | `isSetUtilizedNowNonexclusive()` Determine if the utilizedNowNonexclusive attribute is set
    `void` | `removeAllUtilized()` Remove all com.sun.grid.jgdi.configuration.ResourceDiagramEntry attributes.
    `void` | `removeAllUtilizedNonexclusive()` Remove all com.sun.grid.jgdi.configuration.ResourceDiagramEntry attributes.
    `ResourceDiagramEntry` | `removeUtilized(int index)` Remote a com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute at an index.
    `boolean` | `removeUtilized(ResourceDiagramEntry autilized)` Remote a specific com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute.
    `ResourceDiagramEntry` | `removeUtilizedNonexclusive(int index)` Remote a com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute at an index.
    `boolean` | `removeUtilizedNonexclusive(ResourceDiagramEntry autilizedNonexclusive)` Remote a specific com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute.
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `void` | `setUtilized(int index, ResourceDiagramEntry autilized)` Set a com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute.
    `void` | `setUtilizedNonexclusive(int index, ResourceDiagramEntry autilizedNonexclusive)` Set a com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute.
    `void` | `setUtilizedNow(double aUtilizedNow)` Set the utilizedNow attribute.
    `void` | `setUtilizedNowNonexclusive(double aUtilizedNowNonexclusive)` Set the utilizedNowNonexclusive attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getParent, getPathName, getRoot, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getParent`

- - ### Constructor Detail

    - #### ResourceUtilizationImpl

          public ResourceUtilizationImpl()

      Create a new instance of ResourceUtilizationImpl. The new instance will not be initialized with the default values.

    - #### ResourceUtilizationImpl

          public ResourceUtilizationImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

    - #### ResourceUtilizationImpl

          public ResourceUtilizationImpl(java.lang.String name)

      Create a new instance of ResourceUtilizationImpl

  - ### Method Detail

    - #### isSetName

          public boolean isSetName()

      Determine if the name attribute is set
      Specified by:
        `isSetName` in interface `ResourceUtilization`
      Returns:
        `true` if the name attribute is set

    - #### setName

          public void setName(java.lang.String aName)

      Set the name attribute.
      Specified by:
        `setName` in interface `ResourceUtilization`
      Overrides:
        `setName` in class `GEObjectImpl`
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          public java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `GEObject`
      Specified by:
        `getName` in interface `ResourceUtilization`
      Overrides:
        `getName` in class `GEObjectImpl`
      Returns:
        the value of the name attribute

    - #### isSetUtilizedNow

          public boolean isSetUtilizedNow()

      Determine if the utilizedNow attribute is set
      Specified by:
        `isSetUtilizedNow` in interface `ResourceUtilization`
      Returns:
        `true` if the utilizedNow attribute is set

    - #### setUtilizedNow

          public void setUtilizedNow(double aUtilizedNow)

      Set the utilizedNow attribute.
      Specified by:
        `setUtilizedNow` in interface `ResourceUtilization`
      Parameters:
        `aUtilizedNow` - the new value for the utilizedNow attribute

    - #### getUtilizedNow

          public double getUtilizedNow()

      Get the value of the utilizedNow attribute.
      Specified by:
        `getUtilizedNow` in interface `ResourceUtilization`
      Returns:
        the value of the utilizedNow attribute

    - #### addUtilized

          public void addUtilized(ResourceDiagramEntry autilized)

      Add a com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute.
      Specified by:
        `addUtilized` in interface `ResourceUtilization`
      Parameters:
        `autilized` - the new com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute

    - #### setUtilized

          public void setUtilized(int index,
                                  ResourceDiagramEntry autilized)

      Set a com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute.
      Specified by:
        `setUtilized` in interface `ResourceUtilization`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute
        `autilized` - the new com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute

    - #### removeAllUtilized

          public void removeAllUtilized()

      Remove all com.sun.grid.jgdi.configuration.ResourceDiagramEntry attributes.
      Specified by:
        `removeAllUtilized` in interface `ResourceUtilization`

    - #### removeUtilized

          public ResourceDiagramEntry removeUtilized(int index)

      Remote a com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute at an index.
      Specified by:
        `removeUtilized` in interface `ResourceUtilization`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute or `null` if no attribute at this index is stored

    - #### removeUtilized

          public boolean removeUtilized(ResourceDiagramEntry autilized)

      Remote a specific com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute.
      Specified by:
        `removeUtilized` in interface `ResourceUtilization`
      Parameters:
        `autilized` - the com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute has been removed

    - #### getUtilizedList

          public java.util.List<ResourceDiagramEntry> getUtilizedList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ResourceDiagramEntry attributes.
      Specified by:
        `getUtilizedList` in interface `ResourceUtilization`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ResourceDiagramEntry attributes

    - #### getUtilizedCount

          public int getUtilizedCount()

      Get the number of com.sun.grid.jgdi.configuration.ResourceDiagramEntry attributes.
      Specified by:
        `getUtilizedCount` in interface `ResourceUtilization`
      Returns:
        The number of com.sun.grid.jgdi.configuration.ResourceDiagramEntry attributes.

    - #### getUtilized

          public ResourceDiagramEntry getUtilized(int index)

      Get a com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute at an index.
      Specified by:
        `getUtilized` in interface `ResourceUtilization`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute

    - #### isSetUtilized

          public boolean isSetUtilized()

      Determine if the utilized attribute is set
      Specified by:
        `isSetUtilized` in interface `ResourceUtilization`
      Returns:
        `true` if the utilized attribute is set

    - #### isSetUtilizedNowNonexclusive

          public boolean isSetUtilizedNowNonexclusive()

      Determine if the utilizedNowNonexclusive attribute is set
      Specified by:
        `isSetUtilizedNowNonexclusive` in interface `ResourceUtilization`
      Returns:
        `true` if the utilizedNowNonexclusive attribute is set

    - #### setUtilizedNowNonexclusive

          public void setUtilizedNowNonexclusive(double aUtilizedNowNonexclusive)

      Set the utilizedNowNonexclusive attribute.
      Specified by:
        `setUtilizedNowNonexclusive` in interface `ResourceUtilization`
      Parameters:
        `aUtilizedNowNonexclusive` - the new value for the utilizedNowNonexclusive attribute

    - #### getUtilizedNowNonexclusive

          public double getUtilizedNowNonexclusive()

      Get the value of the utilizedNowNonexclusive attribute.
      Specified by:
        `getUtilizedNowNonexclusive` in interface `ResourceUtilization`
      Returns:
        the value of the utilizedNowNonexclusive attribute

    - #### addUtilizedNonexclusive

          public void addUtilizedNonexclusive(ResourceDiagramEntry autilizedNonexclusive)

      Add a com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute.
      Specified by:
        `addUtilizedNonexclusive` in interface `ResourceUtilization`
      Parameters:
        `autilizedNonexclusive` - the new com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute

    - #### setUtilizedNonexclusive

          public void setUtilizedNonexclusive(int index,
                                              ResourceDiagramEntry autilizedNonexclusive)

      Set a com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute.
      Specified by:
        `setUtilizedNonexclusive` in interface `ResourceUtilization`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute
        `autilizedNonexclusive` - the new com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute

    - #### removeAllUtilizedNonexclusive

          public void removeAllUtilizedNonexclusive()

      Remove all com.sun.grid.jgdi.configuration.ResourceDiagramEntry attributes.
      Specified by:
        `removeAllUtilizedNonexclusive` in interface `ResourceUtilization`

    - #### removeUtilizedNonexclusive

          public ResourceDiagramEntry removeUtilizedNonexclusive(int index)

      Remote a com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute at an index.
      Specified by:
        `removeUtilizedNonexclusive` in interface `ResourceUtilization`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute or `null` if no attribute at this index is stored

    - #### removeUtilizedNonexclusive

          public boolean removeUtilizedNonexclusive(ResourceDiagramEntry autilizedNonexclusive)

      Remote a specific com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute.
      Specified by:
        `removeUtilizedNonexclusive` in interface `ResourceUtilization`
      Parameters:
        `autilizedNonexclusive` - the com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute has been removed

    - #### getUtilizedNonexclusiveList

          public java.util.List<ResourceDiagramEntry> getUtilizedNonexclusiveList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ResourceDiagramEntry attributes.
      Specified by:
        `getUtilizedNonexclusiveList` in interface `ResourceUtilization`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ResourceDiagramEntry attributes

    - #### getUtilizedNonexclusiveCount

          public int getUtilizedNonexclusiveCount()

      Get the number of com.sun.grid.jgdi.configuration.ResourceDiagramEntry attributes.
      Specified by:
        `getUtilizedNonexclusiveCount` in interface `ResourceUtilization`
      Returns:
        The number of com.sun.grid.jgdi.configuration.ResourceDiagramEntry attributes.

    - #### getUtilizedNonexclusive

          public ResourceDiagramEntry getUtilizedNonexclusive(int index)

      Get a com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute at an index.
      Specified by:
        `getUtilizedNonexclusive` in interface `ResourceUtilization`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute

    - #### isSetUtilizedNonexclusive

          public boolean isSetUtilizedNonexclusive()

      Determine if the utilizedNonexclusive attribute is set
      Specified by:
        `isSetUtilizedNonexclusive` in interface `ResourceUtilization`
      Returns:
        `true` if the utilizedNonexclusive attribute is set

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `ResourceUtilization`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.